declare const _default: {
    globals: {};
    env: {
        commonjs: boolean;
        es6: boolean;
    };
    overrides: never[];
    plugins: string[];
    parser: string;
    parserOptions: {
        project: string;
        ecmaVersion: number;
        sourceType: string;
    };
    extends: string[];
    rules: {
        /**
         * Additional rules that are not part of `eslint:recommended`.
         * See https://eslint.org/docs/rules/
         */
        "no-eval": string;
        "no-implied-eval": string;
        "no-await-in-loop": string;
        "no-new-wrappers": string;
        eqeqeq: string;
        "no-caller": string;
        "require-unicode-regexp": string;
        "no-loss-of-precision": string;
        /**
         *  Custom rules.
         */
        "@typescript-eslint/ban-types": (string | {
            types: {
                Omit: {
                    fixWith: string;
                    message: string;
                };
                Exclude: {
                    fixWith: string;
                    message: string;
                };
                Extract: {
                    fixWith: string;
                    message: string;
                };
                Record: {
                    fixWith: string;
                    message: string;
                };
                URL: {
                    fixWith: string;
                    message: string;
                };
                URLSearchParams: {
                    fixWith: string;
                    message: string;
                };
                Date: {
                    fixWith: string;
                    message: string;
                };
                Map: {
                    fixWith: string;
                    message: string;
                };
                Set: {
                    fixWith: string;
                    message: string;
                };
            };
        })[];
        "no-restricted-globals": (string | {
            name: string;
            message: string;
        })[];
        /**
         * Make typescript-eslint rules more aggressive.
         */
        "@typescript-eslint/consistent-type-assertions": (string | {
            assertionStyle: string;
        })[];
        "@typescript-eslint/strict-boolean-expressions": (string | {
            allowString: boolean;
            allowNumber: boolean;
            allowNullableObject: boolean;
        })[];
        "@typescript-eslint/consistent-type-definitions": string[];
        "@typescript-eslint/no-implicit-any-catch": string;
        "total-functions/no-unsafe-type-assertion": number;
        "@typescript-eslint/no-base-to-string": string;
        "@typescript-eslint/prefer-reduce-type-parameter": string;
        "@typescript-eslint/no-unnecessary-condition": string;
        "@typescript-eslint/switch-exhaustiveness-check": string;
        /**
         * Make eslint-plugin-functional rules more aggressive.
         */
        "functional/prefer-readonly-type": (string | {
            checkImplicit: boolean;
        })[];
    };
    settings: {};
};
export = _default;
